Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## groovy.lang
[Java] Interface AdaptingMetaClass

    groovy.lang.MetaClass
      groovy.lang.AdaptingMetaClass
          groovy.lang.MetaObjectProtocol

All Superinterfaces:
  MetaClass, MetaObjectProtocol

    public interface AdaptingMetaClass
    extends MetaClass

An interface for MetaClass instances that "adapt" other MetaClass instances such as a proxy or delegating MetaClass.

Authors:
  Graeme Rocher

Since:
  1.5

Method Summary
`MetaClass` | `getAdaptee()` Returns the MetaClass that this adapter adapts
`void` | `setAdaptee(MetaClass metaClass)` Sets the MetaClass adapted by this MetaClass

Methods inherited from interface MetaClass
getAttribute, getClassNode, getMetaMethods, getMethods, getProperties, getProperty, initialize, invokeMethod, invokeMissingMethod, invokeMissingProperty, pickMethod, selectConstructorAndTransformArguments, setAttribute, setProperty

Methods inherited from interface MetaObjectProtocol
getAttribute, getMetaMethod, getMetaProperty, getMethods, getProperties, getProperty, getStaticMetaMethod, getTheClass, hasProperty, invokeConstructor, invokeMethod, invokeMethod, invokeStaticMethod, respondsTo, respondsTo, setAttribute, setProperty

Method Detail

### getAdaptee

    public MetaClass getAdaptee()

  Returns the MetaClass that this adapter adapts
  Returns:
    The MetaClass instance

### setAdaptee

    public void setAdaptee(MetaClass metaClass)

  Sets the MetaClass adapted by this MetaClass
  Parameters:
    `metaClass` - The MetaClass to adapt

Groovy Documentation